# C++ API Naming Conventions

- Create...
  --Makes a new object, caller must delete
- Copy...
  -- Copies an existing object, caller must delete
- Orphan...
  -- Abandons an object, caller must delete
- Adopt...
  -- Accepts ownership of an object
  -- Caller must NOT delete
- Get...
  -- Typically parameters are filled in
  -- If const pointer returned, lifetime depends on original object

code conventions